summaryrefslogtreecommitdiffstats
path: root/.travis
diff options
context:
space:
mode:
authorMichał Janiszewski <janisozaur@gmail.com>2018-06-04 17:19:45 +0200
committerMichał Janiszewski <janisozaur@gmail.com>2018-06-07 21:43:33 +0200
commitc0d3e2da4ec793e80568ea6334e1e4a8a1e49646 (patch)
treecb594ecdc40bf8e6f1f3edd6f054658f9458dd23 /.travis
parentAdd ccache support for Linux on Travis (diff)
downloadyuzu-c0d3e2da4ec793e80568ea6334e1e4a8a1e49646.tar
yuzu-c0d3e2da4ec793e80568ea6334e1e4a8a1e49646.tar.gz
yuzu-c0d3e2da4ec793e80568ea6334e1e4a8a1e49646.tar.bz2
yuzu-c0d3e2da4ec793e80568ea6334e1e4a8a1e49646.tar.lz
yuzu-c0d3e2da4ec793e80568ea6334e1e4a8a1e49646.tar.xz
yuzu-c0d3e2da4ec793e80568ea6334e1e4a8a1e49646.tar.zst
yuzu-c0d3e2da4ec793e80568ea6334e1e4a8a1e49646.zip
Diffstat (limited to '')
-rwxr-xr-x.travis/macos/build.sh4
-rwxr-xr-x.travis/macos/deps.sh2
2 files changed, 5 insertions, 1 deletions
diff --git a/.travis/macos/build.sh b/.travis/macos/build.sh
index f633f618f..5816b1d6e 100755
--- a/.travis/macos/build.sh
+++ b/.travis/macos/build.sh
@@ -7,8 +7,12 @@ export Qt5_DIR=$(brew --prefix)/opt/qt5
export UNICORNDIR=$(pwd)/externals/unicorn
mkdir build && cd build
+export PATH=/usr/local/opt/ccache/libexec:$PATH
+ccache --show-stats > ccache_before
cmake --version
cmake .. -DYUZU_BUILD_UNICORN=ON -DCMAKE_BUILD_TYPE=Release
make -j4
+ccache --show-stats > ccache_after
+diff -U100 ccache_before ccache_after || true
ctest -VV -C Release
diff --git a/.travis/macos/deps.sh b/.travis/macos/deps.sh
index 3cd13a39b..1a547c060 100755
--- a/.travis/macos/deps.sh
+++ b/.travis/macos/deps.sh
@@ -1,5 +1,5 @@
#!/bin/sh -ex
brew update
-brew install dylibbundler p7zip qt5 sdl2
+brew install dylibbundler p7zip qt5 sdl2 ccache
brew outdated cmake || brew upgrade cmake